Axis2/C: http out transport info

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# http out transport info
[http transport]

## Files
file | axis2_http_out_transport_info.h
| axis2 HTTP Out Transport Info

## Classes
struct | axis2_http_out_transport_info
## Defines
#define | AXIS2_HTTP_OUT_TRANSPORT_INFO_SET_CONTENT_TYPE(out_transport_info, env, content_type) axis2_http_out_transport_info_set_content_type (out_transport_info, env, content_type)
#define | AXIS2_HTTP_OUT_TRANSPORT_INFO_SET_CHAR_ENCODING(out_transport_info, env, encoding) axis2_http_out_transport_info_set_char_encoding(out_transport_info, env, encoding)
#define | AXIS2_HTTP_OUT_TRANSPORT_INFO_FREE(out_transport_info, env) axis2_http_out_transport_info_free(out_transport_info, env)
## Typedefs
typedef struct axis2_http_out_transport_info | axis2_http_out_transport_info_t
## Functions
AXIS2_EXTERN int | axis2_http_out_transport_info_set_content_type (axis2_http_out_transport_info_t *info, const axutil_env_t *env, const axis2_char_t *content_type)
AXIS2_EXTERN axis2_status_t | axis2_http_out_transport_info_set_char_encoding (axis2_http_out_transport_info_t *info, const axutil_env_t *env, const axis2_char_t *encoding)
AXIS2_EXTERN void | axis2_http_out_transport_info_free (axis2_http_out_transport_info_t *out_transport_info, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_out_transport_info_t * | axis2_http_out_transport_info_create (const axutil_env_t *env, axis2_http_simple_response_t *response)
AXIS2_EXTERN void | axis2_http_out_transport_info_free_void_arg (void *transport_info, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_http_out_transport_info_set_char_encoding_func (axis2_http_out_transport_info_t *out_transport_info, const axutil_env_t *env, axis2_status_t(*set_encoding)(axis2_http_out_transport_info_t *, const axutil_env_t *, const axis2_char_t *))
AXIS2_EXTERN void | axis2_http_out_transport_info_set_content_type_func (axis2_http_out_transport_info_t *out_transport_info, const axutil_env_t *env, axis2_status_t(*set_content_type)(axis2_http_out_transport_info_t *, const axutil_env_t *, const axis2_char_t *))
AXIS2_EXTERN void | axis2_http_out_transport_info_set_free_func (axis2_http_out_transport_info_t *out_transport_info, const axutil_env_t *env, void(*free_function)(axis2_http_out_transport_info_t *, const axutil_env_t *))

## Detailed Description

Description

## Define Documentation

#define AXIS2_HTTP_OUT_TRANSPORT_INFO_FREE | ( | out_transport_info,
|  | env |  | ) | axis2_http_out_transport_info_free(out_transport_info, env)

Free.

#define AXIS2_HTTP_OUT_TRANSPORT_INFO_SET_CHAR_ENCODING | ( | out_transport_info,
|  | env,
|  | encoding |  | ) | axis2_http_out_transport_info_set_char_encoding(out_transport_info, env, encoding)

Set char encoding.

#define AXIS2_HTTP_OUT_TRANSPORT_INFO_SET_CONTENT_TYPE | ( | out_transport_info,
|  | env,
|  | content_type |  | ) | axis2_http_out_transport_info_set_content_type (out_transport_info, env, content_type)

Set content type.

## Typedef Documentation

typedef struct axis2_http_out_transport_info axis2_http_out_transport_info_t

Type name for struct axis2_http_out_transport_info

## Function Documentation

AXIS2_EXTERN axis2_http_out_transport_info_t* axis2_http_out_transport_info_create | ( | const axutil_env_t * | env,
|  | axis2_http_simple_response_t * | response |
| ) |  |  |

Parameters:

  | env | pointer to environment struct
  | response | pointer to response

AXIS2_EXTERN void axis2_http_out_transport_info_free | ( | axis2_http_out_transport_info_t * | out_transport_info,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | out_transport_info | pointer to out transport info
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN void axis2_http_out_transport_info_free_void_arg | ( | void * | transport_info,
|  | const axutil_env_t * | env |
| ) |  |  |

Free http_out_transport_info passed as void pointer. This will be cast into appropriate type and then pass the cast object into the http_out_transport_info structure's free method

Parameters:

  | transport_info | pointer to transport info
  | env | pointer to environment struct

AXIS2_EXTERN axis2_status_t axis2_http_out_transport_info_set_char_encoding | ( | axis2_http_out_transport_info_t * | info,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | encoding |
| ) |  |  |

Parameters:

  | info | pointer to info
  | env | pointer to environment struct
  | encoding | pointer to encoding

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN int axis2_http_out_transport_info_set_content_type | ( | axis2_http_out_transport_info_t * | info,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | content_type |
| ) |  |  |

Parameters:

  | info | pointer to info
  | env | pointer to environment struct
  | content_type | pointer to content type